osgPresentation Namespace Reference

## Classes

class | AnimationMaterial
class | AnimationMaterialCallback
class | CompileSlideCallback
class | Cursor
class | KeyEventHandler
class | PickEventHandler
class | PropertyManager
struct | PropertyReader
class | PropertyAnimation
struct | ImageSequenceUpdateCallback
struct | PropertyEventCallback
struct | JumpData
struct | HomePosition
struct | KeyPosition
struct | LayerCallback
struct | LayerAttributes
struct | FilePathData
struct | dereference_less
struct | ObjectOperator
class | ActiveOperators
class | SlideEventHandler
class | HUDTransform
class | SlideShowConstructor
class | HUDSettings
class | Timeout

## Enumerations

enum | Operation { RUN , LOAD , EVENT , JUMP , FORWARD_MOUSE_EVENT , FORWARD_TOUCH_EVENT }
| Operations related to click to run/load/key events. More...

## Functions

OSGPRESENTATION_EXPORT const osg::Object * | getUserObject (const osg::NodePath &nodepath, const std::string &name)
template<typename T>
bool | getUserValue (const osg::NodePath &nodepath, const std::string &name, T &value)
OSGPRESENTATION_EXPORT bool | containsPropertyReference (const std::string &str)

## Detailed Description

The osgPresentation library is a NodeKit that extends the core scene graph to support 3D scene graph based presentations.

## Enumeration Type Documentation

## Operation

enum osgPresentation::Operation

Operations related to click to run/load/key events.

Enumerator
RUN |
LOAD |
EVENT |
JUMP |
FORWARD_MOUSE_EVENT |
FORWARD_TOUCH_EVENT |

## Function Documentation

## containsPropertyReference()

OSGPRESENTATION_EXPORT bool osgPresentation::containsPropertyReference | ( | const std::string & | str | ) |

extern

References OSGPRESENTATION_EXPORT.

## getUserObject()

OSGPRESENTATION_EXPORT const osg::Object * osgPresentation::getUserObject | ( | const osg::NodePath & | nodepath,
|  | const std::string & | name )

extern

References OSGPRESENTATION_EXPORT.

Referenced by getUserValue().

## getUserValue()

template<typename T>

bool osgPresentation::getUserValue | ( | const osg::NodePath & | nodepath,
|  | const std::string & | name,
|  | T & | value )

References getUserObject().

Referenced by osgPresentation::PropertyReader::read().